const execSync = require('child_process').execSync;
const exec = cmd => execSync(cmd).toString();

function log(stdout, action) {
  console.log(`\t=> DO: ${action} ...`);
  console.log('\t\tstdout: ', stdout || 'DONE');
}

const cmdFlow = (...commands) => commands.forEach((cmd) => {
  cmd.startsWith('ACTION:')
    ? console.log(`\t=> DO: ${cmd} ...`)
    : console.log(`\t\tCMD: ${cmd}\n`, exec(cmd) || '\t\t\tDONE');
});


function postpublish() {
  console.log('\n=> RUN: postpublish ...');
  cmdFlow(
    'ACTION: remove css import declaration',
      'sed -i "" -e \'s/.*index.css.*/{removed_css_import}/g\' -e \'/{removed_css_import}[[:space:]]*$/d\' ./src/index.js',
    'ACTION: correction special case version of package',
      'sed -i "" -r \'s/("version":[[:space:]]"[[:digit:]]\\.[[:digit:]].[[:digit:]])/\\1--next-js/g\' ./package.json',
    'ACTION: transpile \'next-js\' special case',
      'npm run-script transpile',
    // 'ACTION: correction special case version of package',
    //   'npm publish --tag next-js',
    // 'ACTION: publish NPM dist-tag \'next-js\'',
    //   'git reset --hard'
  );
}

postpublish();
